<?php

namespace App\Models;

use CodeIgniter\Model;

class ConvocatoriaTipoExperienciaModel extends GenericModel
{
    protected $table            = 'convocatoria_tipo_experiencia';
    protected $primaryKey       = 'cont_id';
    protected $allowedFields    = ['cont_id','cont_descripcion', 'cont_estado'];

    public function list(){
        return $this->select('*,TIMESTAMPDIFF(MONTH,peel_fecha_inicio,peel_fecha_final) AS diferencia_meses')
            ->where('cont_estado',1)
            ->where('cont_estado',1)
            ->findAll();
    }
}
